//	Zinc Application Framework - FORMAT.HPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_str1.hpp>

class FormatString : public ZafString
{
public:
	FormatString(int left, int top, int width, ZafStringData *formatData);
	virtual ZafEventType Event(const ZafEventStruct &event);

protected:
	ZafStringData *formatData;

	void FormatDataToStringData(ZafStringData *formatData, ZafStringData *stringData);
	void StringDataToFormatData(ZafStringData *stringData, ZafStringData *formatData);
};
